<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/include/AVSCommon/Utils/HTTP2/HTTP2SendDataResult.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a></li><li class="navelem"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a></li><li class="navelem"><a class="el" href="dir_0bf0f45007ff5e6885dc23c0041db988.html">HTTP2</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">HTTP2SendDataResult.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_h_t_t_p2_send_data_result_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_INCLUDE_AVSCOMMON_UTILS_HTTP2_HTTP2SENDDATARESULT_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_INCLUDE_AVSCOMMON_UTILS_HTTP2_HTTP2SENDDATARESULT_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;cstddef&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_h_t_t_p2_send_status_8h.html">AVSCommon/Utils/HTTP2/HTTP2SendStatus.h</a>&quot;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span>avsCommon {</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span>utils {</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span>http2 {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html">   31</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html">HTTP2SendDataResult</a> {</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a11c6b1f4bea60f1435a7e73d810b5a78">   33</a></span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#ad3c6d434b19587fa69b7d36d1fd08ba2">HTTP2SendStatus</a> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a11c6b1f4bea60f1435a7e73d810b5a78">status</a>;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a0548f8e9e14c0c5541686c237fc255d8">   36</a></span>&#160;    <span class="keywordtype">size_t</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a0548f8e9e14c0c5541686c237fc255d8">size</a>;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keyword">explicit</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a8b2181047ef9888c9b0b493ad98766c4">HTTP2SendDataResult</a>(<span class="keywordtype">size_t</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a0548f8e9e14c0c5541686c237fc255d8">size</a>);</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a5b51d73dfd26efb73f287d1cc5a21d39">   46</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html">HTTP2SendDataResult</a> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a5b51d73dfd26efb73f287d1cc5a21d39">PAUSE</a>;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a97811d47af1215052351db1d6f7af398">   49</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html">HTTP2SendDataResult</a> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a97811d47af1215052351db1d6f7af398">COMPLETE</a>;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a63218389c2768fe5d449a914a0b0663e">   52</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html">HTTP2SendDataResult</a> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a63218389c2768fe5d449a914a0b0663e">ABORT</a>;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a8b2181047ef9888c9b0b493ad98766c4">HTTP2SendDataResult</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#ad3c6d434b19587fa69b7d36d1fd08ba2">HTTP2SendStatus</a> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a11c6b1f4bea60f1435a7e73d810b5a78">status</a>, <span class="keywordtype">size_t</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a0548f8e9e14c0c5541686c237fc255d8">size</a>);</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;};</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a8b2181047ef9888c9b0b493ad98766c4">   64</a></span>&#160;<span class="keyword">inline</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a8b2181047ef9888c9b0b493ad98766c4">HTTP2SendDataResult::HTTP2SendDataResult</a>(<span class="keywordtype">size_t</span> sizeIn) : status{<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#ad3c6d434b19587fa69b7d36d1fd08ba2a2f453cfe638e57e27bb0c9512436111e">HTTP2SendStatus::CONTINUE</a>}, size{sizeIn} {</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;}</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="keyword">inline</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a8b2181047ef9888c9b0b493ad98766c4">HTTP2SendDataResult::HTTP2SendDataResult</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#ad3c6d434b19587fa69b7d36d1fd08ba2">HTTP2SendStatus</a> statusIn, <span class="keywordtype">size_t</span> sizeIn) :</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        status{statusIn},</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        size{sizeIn} {</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;}</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;}  <span class="comment">// namespace http2</span></div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;}  <span class="comment">// namespace utils</span></div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;}  <span class="comment">// namespace avsCommon</span></div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_INCLUDE_AVSCOMMON_UTILS_HTTP2_HTTP2SENDDATARESULT_H_</span></div><div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result_html_a11c6b1f4bea60f1435a7e73d810b5a78"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a11c6b1f4bea60f1435a7e73d810b5a78">alexaClientSDK::avsCommon::utils::http2::HTTP2SendDataResult::status</a></div><div class="ttdeci">HTTP2SendStatus status</div><div class="ttdoc">The status of the send data operation. </div><div class="ttdef"><b>Definition:</b> HTTP2SendDataResult.h:33</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_html_ad3c6d434b19587fa69b7d36d1fd08ba2a2f453cfe638e57e27bb0c9512436111e"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#ad3c6d434b19587fa69b7d36d1fd08ba2a2f453cfe638e57e27bb0c9512436111e">alexaClientSDK::avsCommon::utils::http2::HTTP2SendStatus::CONTINUE</a></div><div class="ttdoc">Operation succeeded. Continue. </div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result_html_a0548f8e9e14c0c5541686c237fc255d8"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a0548f8e9e14c0c5541686c237fc255d8">alexaClientSDK::avsCommon::utils::http2::HTTP2SendDataResult::size</a></div><div class="ttdeci">size_t size</div><div class="ttdoc">The number of bytes copied. This value should only be non-zero if status == CONTINUE. </div><div class="ttdef"><b>Definition:</b> HTTP2SendDataResult.h:36</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result_html_a97811d47af1215052351db1d6f7af398"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a97811d47af1215052351db1d6f7af398">alexaClientSDK::avsCommon::utils::http2::HTTP2SendDataResult::COMPLETE</a></div><div class="ttdeci">static const HTTP2SendDataResult COMPLETE</div><div class="ttdoc">Const COMPLETE result. </div><div class="ttdef"><b>Definition:</b> HTTP2SendDataResult.h:49</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result_html_a8b2181047ef9888c9b0b493ad98766c4"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a8b2181047ef9888c9b0b493ad98766c4">alexaClientSDK::avsCommon::utils::http2::HTTP2SendDataResult::HTTP2SendDataResult</a></div><div class="ttdeci">HTTP2SendDataResult(size_t size)</div><div class="ttdef"><b>Definition:</b> HTTP2SendDataResult.h:64</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result_html_a63218389c2768fe5d449a914a0b0663e"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a63218389c2768fe5d449a914a0b0663e">alexaClientSDK::avsCommon::utils::http2::HTTP2SendDataResult::ABORT</a></div><div class="ttdeci">static const HTTP2SendDataResult ABORT</div><div class="ttdoc">Const ABORT result. </div><div class="ttdef"><b>Definition:</b> HTTP2SendDataResult.h:52</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result_html_a5b51d73dfd26efb73f287d1cc5a21d39"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a5b51d73dfd26efb73f287d1cc5a21d39">alexaClientSDK::avsCommon::utils::http2::HTTP2SendDataResult::PAUSE</a></div><div class="ttdeci">static const HTTP2SendDataResult PAUSE</div><div class="ttdoc">Const PAUSE result. </div><div class="ttdef"><b>Definition:</b> HTTP2SendDataResult.h:46</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result_html"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html">alexaClientSDK::avsCommon::utils::http2::HTTP2SendDataResult</a></div><div class="ttdef"><b>Definition:</b> HTTP2SendDataResult.h:31</div></div>
<div class="ttc" id="_h_t_t_p2_send_status_8h_html"><div class="ttname"><a href="_h_t_t_p2_send_status_8h.html">HTTP2SendStatus.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_html_ad3c6d434b19587fa69b7d36d1fd08ba2"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#ad3c6d434b19587fa69b7d36d1fd08ba2">alexaClientSDK::avsCommon::utils::http2::HTTP2SendStatus</a></div><div class="ttdeci">HTTP2SendStatus</div><div class="ttdef"><b>Definition:</b> HTTP2SendStatus.h:27</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
